%define pkg_name        Syntax-Highlight-Perl
%define pkg_version     1.0
%define rpm_pkg_version 1.0
%define rpm_pkg_release 4.n0i.4
	
Summary:       Perform syntax highlighting of Perl code
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JO/JOHNSCA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module provides syntax highlighting for Perl code. The design bias is
roughly line-oriented and streamed (ie, processing a file line-by-line in a
single pass). Provisions *may* be made in the future for tasks related to
"back-tracking" (ie, re-doing a single line in the middle of a stream) such as
speeding up state copying.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog README viewperl


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.0-4.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.0-3.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Fri Apr 01 2005 Marius Feraru <altblue@n0i.net> 0:1.0-2.n0i.2
- rebuild

* Fri Dec 03 2004 Marius Feraru <altblue@n0i.net> 0:1.0-1.n0i.1
- version 1.0
- spec file (re?)created using N0i::CPAN::RPMizer/2004083101
